@charset "UTF-8";

/*-------------------------------------------------
	title 		: Common CSS
	Author 		: (주)지플러스
	Create date : 2024-10
-------------------------------------------------*/

:root {
	--table-bg-gray: #F5F6F9;
	--border-gray: #DDDDDD;
	--border-light-gray: #E4E7ED;
	--white: #FFFFFF;
	--primary: #155CD6;
	--border-color: #E4E4E4;
	--black: #000000;
	--black3: #333333;
}

.txt-left {
	text-align: left !important;
}

/* ============= Common - Table */
.cmm-style-table {
	table-layout: fixed;
	border-top: 2px solid var(--border-gray);
}

.cmm-style-table th,
.cmm-style-table td {
	padding: .9rem 1.8rem;
	border-right: 1px solid var(--border-light-gray);
	border-bottom: 1px solid var(--border-light-gray);
	font-size: 1.5rem;
	text-align: center;
	word-break: break-word;
}

.cmm-style-table th:last-child,
.cmm-style-table td:last-child {
	border-right: 0 none;
}

.cmm-style-table th {
	background-color: var(--table-bg-gray);
	font-weight: 500;
	color: #333333;
}

.cmm-style-table th.essential::after {
	content: ' *';
	display: inline-block;
	vertical-align: middle;
	margin-left: .5rem;
	font-size: 2rem;
	font-weight: 400;
	color: #155CD6;
}

.cmm-style-table td {
	font-weight: 400;
	color: #555555;
}

.cmm-style-table td a:hover,
.cmm-style-table td a:focus {
	text-decoration: underline;
}

.row-table .cmm-style-table th {
	text-align: left;
}

.cmm-style-table.tb-ellipsis th,
.cmm-style-table.tb-ellipsis td {
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

.cmm-style-table.tb-ellipsis .non-ellipsis {
	white-space: normal;
}

.oa-table {
	width: 100%;
	overflow-x: auto;
}

.oa-table .cmm-style-table {
	table-layout: auto;
}

.oa-table .cmm-style-table th,
.oa-table .cmm-style-table td {
	white-space: nowrap;
}

.list-in-table {
	table-layout: fixed;
}

.list-in-table tr td,
.list-in-table tr th {
	padding: 1.5rem 2rem;
	border-bottom: 1px solid #DDDDDD;
}

.list-in-table tr th {
	background-color: #F5F6F9;
}

.cmm-service-table {
	margin-top: 2.4rem;
	border-top: 1px solid #666666;
}

.cmm-service-table th,
.cmm-service-table td {
	padding: 1.8rem 2rem;
	border-bottom: 1px solid #E4E7ED;
	word-break: auto-phrase;
}

.cmm-service-table th {
	vertical-align: top;
	background-color: #F5F6F9;
	font-size: 1.8rem;
	font-weight: 500;
	color: #333333;
	text-align: left;
}

.cmm-serive-table td {
	font-size: 1.6rem;
	font-weight: 400;
	color: #555555;
}

.cmm-service-table td ul > li {
	position: relative;
}

.cmm-service-table td ul > li::before {
	content: '-';
	display: inline-block;
	margin-right: .5rem;
	font-size: 2rem;
	font-weight: 400;
	color: #555555;
}

/* ============= Deposit */
.file_name a { color: #145CD6; }

.dpstTitleBtn {
	position: relative;
	display: flex;
	align-items: center;
}

.dpstTitleBtn__title { display:flex; align-items: center; gap: 1rem; font-size: 2.5rem; }
.dpstTitleBtn__title .state { display: inline-flex; align-items: center; min-width: auto; padding: 0 .75rem; border-radius: 6px; font-size: 1.6rem; font-weight: 400; color: #666666; }
.dpstTitleBtn__title .state::before { margin-right: .25rem; }
.dpstTitleBtn__title .state.type1,
.dpstTitleBtn__title .state.type2 { background-color: #E4E7ED; }
.dpstTitleBtn__title .state.type3 { background-color: var(--black3); color: #FFFFFF; }
.dpstTitleBtn__title .state.type4 { background-color: #2670E5; color: #FFFFFF; }
.dpstTitleBtn__title .state.type5 { background-color: #EF1F51; color: #FFFFFF; }
.dpstTitleBtn__title .state.type1::before { background: url("../../image/service/content/human/icon_pen.png") no-repeat 50% 50% / 2rem; }
.dpstTitleBtn__title .state.type2::before { background: #E4E7ED url("../../image/service/content/human/icon_check_file.png") no-repeat 50% 50% / 2rem; }
.dpstTitleBtn__title .state.type3::before { background: url("../../image/service/content/human/icon_search_w.png") no-repeat 50% 50% / 2rem; }
.dpstTitleBtn__title .state.type4::before { background: url("../../image/service/content/human/icon_check_w.png") no-repeat 50% 50% / 2rem }
.dpstTitleBtn__title .state.type5::before { background: url("../../image/service/content/human/icon_back_w.png") no-repeat 50% 50% / 2rem; }

.dpstTitleBtn__btn-wrap { display: inline-flex; align-items: center; gap: .5rem; margin-left: auto; }
.dpstTitleBtn__btn-wrap .dpstTitleBtn__btn {
	position: relative;
	display: inline-block;
	padding: .75rem 2rem;
	background-color: var(--primary);
	border-radius: 4px;
	color: var(--white);
	letter-spacing: -.1rem;
}

.dpstTitleBtn__btn-wrap .dpstTitleBtn__btn::before {
	content: attr(aria-label);
}

.dpstTitleBtn__btn-wrap .dpstTitleBtn__btn.close::before {
	content: attr(aria-close-label);
}

.dpstTitleBtn__btn-wrap .dpstTitleBtn__btn--line { 
	position: relative;
	display: inline-block;
	padding: .65rem 2rem;
	background-color: var(--white);
	border: 1px solid var(--primary);
	border-radius: 4px;
	color: var(--primary);
	letter-spacing: -.01rem;
	transition: .25s;
}

.dpstTitleBtn__btn-wrap .dpstTitleBtn__btn--line:hover,
.dpstTitleBtn__btn-wrap .dpstTitleBtn__btn--line:focus { background-color: var(--primary); color: #fff; }

.deposit-item {
	padding: 2.5rem;
	background-color: var(--white);
	border: 1px solid var(--border-color);
	border-radius: 5px;
}

.deposit-item + .deposit-item {
	margin-top: 2rem;
}

.deposit-item__title {
	position: relative;
	display: flex;
	align-items: center;
	font-size: 2rem;
	font-weight: 500;
	color: #000000;
}

.deposit-item__title::before {
	content: '\EC5C';
	display: inline-block;
	margin-right: .75rem;
	font-family: 'remixicon';
	font-size: 2rem;
	color: #666666;
}

.deposit-item-btn-wrap { display: inline-flex; align-items: center; gap: .5rem; margin-left: auto; }
.deposit-item-btn-wrap .deposit-item__btn {
	position: relative;
	display: inline-block;
	padding: 1rem 2rem;
	background-color: var(--black3);
	border-radius: 4px;
	font-size: 1.5rem;
	color: var(--white);
	letter-spacing: -.1rem;
}

.deposit-item-btn-wrap .deposit-item__btn::before { content: attr(aria-label); }
.deposit-item-btn-wrap .deposit-item__btn.close::before { content: attr(aria-close-label); }

.deposit-item-btn-wrap .deposit-item__btn--add {
	position: relative;
	display: inline-block;
	height: 3.8rem;
	padding: .75rem 2rem;
	background-color: var(--white);
	border: 1px solid #DDDDDD;
	border-radius: 4px;
	font-size: 1.5rem;
	color: var(--black3);
	letter-spacing: -.1rem;
	transition: .2s;
}

.deposit-item-btn-wrap .deposit-item__btn--add:hover,
.deposit-item-btn-wrap .deposit-item__btn--add:focus { border-color: var(--black); }
.deposit__content { height: 0; overflow: hidden; transition: .25s; }
.deposit__content.active { height: auto; margin-top: 2.3rem; }

.reject-pop-btn { display: inline-flex; align-items: center; gap: .5rem; padding: .5rem 1rem; background-color: #fff; border: 1px solid #E1E1E1; border-radius: 5px; font-size: 1.4rem; transition: .25s; }
.reject-pop-btn:hover,
.reject-pop-btn:focus { border-color: #EF1F51; text-decoration: none !important; }
.study-detail-title { color: #145CD6; }

.data-file-td a { color: #145CD6; }
.data-file-td a > i { margin-right: .25rem; } 

@media (max-width: 768px) {
	/* ============= Common - Table */
	.cmm-style-table {
		table-layout: auto;
	}
	
	.cmm-style-table.row th,
	.cmm-style-table.row td {
		display: block;
		width: 100%;
		height: auto;
		padding: 1rem 2rem;
		border-right: 0 none;
	}
	
	.cmm-style-table col {
		width: auto;
	}
}